<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

define('_IN_JOHNCMS', 1);
/***********
 МаГазин для сайта
 Аффтар - ValekS
 http://john-help.ru
***********/
echo '<div class="phdr"><a href="/shop/">Магазин '.str_replace('http://', '',$set['homeurl']).'</a> | Цветной Ник</div>';

// Узнаём цену
$price = mysql_fetch_assoc(mysql_query("SELECT `price` FROM `shop` WHERE `id` = 11"));
$a = $price['price'];

if (isset($_POST['submit'])) {
    // Принимаем дынные
    $kod = isset($_POST['kod']) ? trim($_POST['kod']) : '';
    $clr = isset($_POST['color']) ? functions::check(mb_substr($_POST['color'], 0, 25)) : '';
    $error = false;

    // Проверка кода CAPTCHA
    if (empty($kod) || mb_strlen($kod) < 4)
        $error = $error . 'Не введён проверочный код!<br />';
    elseif ($kod != $_SESSION['code'])
        $error = $error . 'Проверочный код неверен!<br />';
    unset($_SESSION['code']);

    // Проверка цвета
    if (empty($clr) || mb_strlen($clr) < 3)
        $error = $error . 'Не введён цвет Ника!<br />';
    if (preg_match("/[^0-9a-zA-Z]+/", $clr))
            $error = 'Недопустимые символы в цвете Ника!<br/>';

    if (empty($error)) {
        // Проверка монет
        if ($datauser['balans'] < $a) {
        $error = 'Недостаточно монет для смены цвета Ника!<br/>';
        }
    }

    // Заносим данные в Базу
    if (empty($error)) {
        mysql_query("UPDATE `users` SET `balans` = '" . ($datauser['balans'] - $a) . "', `cnick` = '" . mysql_real_escape_string($clr) . "' WHERE `id` = '$user_id'");
        echo '<div class="gmenu">Цвет вашего Ника Изменён!<br/>';
        echo 'Пример: <font color="'.$clr.'">'.$datauser['name'].'</font>';
        echo '<br/><a href="/shop/">В магазин</a>';
        echo '</div>';
    } else {
        echo '<div class="rmenu"><p><b>ОШИБКА!</b><br />' . $error . '</p></div>';
    }

} else {
    // Форма ввода
    echo '<div class="list2"><b>'.$login.'</b>, Сдесь ты можешь изменить цвет своего ника.<br/>Стоимость: '.$a.' монет</div>';
    echo '<form action="/shop/index.php?act=cnick" method="post"><div class="list1">';
    echo '<p>'.(strlen($datauser['cnick']) == 1 ? '<b>Цвет:</b>' : '<font color="'.$datauser['cnick'].'"><b>Цвет:</b></font>').'<br/><input type="text" name="color" maxlength="25" value="'.$datauser['cnick'].'" /><br/><small>Введите название(black) или код(000000) желаемого цвета, для своего Ника<br/><font color="red">Код цвета вводить НЕ в RGB а HTML кодом, без #(решётки)!!!</font></small><br/><a href="/shop/color.php"><font color="0000ff">Таблица Цветов</font></a></p></div>';
    echo '<div class="gmenu"><p><img src="/captcha.php?r=' . rand(1000, 9999) . '" alt="Проверочный код" border="1"/><br />';
    echo 'Код с картинки:<br/><input type="text" size="5" maxlength="5" name="kod"/></p></div>';
    echo '<div class="list2"><input type="submit" name="submit" value="Установить"/></div></form>';
    }

?>